
GammaLib - Action #758

Feature # 754 (Closed): Allow fitting of elliptical morphology shapes 

Adapt GResponse to support elliptical models

02/16/2013 10:20 PM - Knödlseder Jürgen

Status: Closed Start date: 02/16/2013

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

So far, GResponse only handles point sources, radial models and diffuse models. The following mapping exists:

Spatial models of type GModelSpatialPtsrc call GResponse::irf_ptsrc and GResponse::npred_ptsrc

Spatial models of type GModelRadial call GResponse::irf_extended and GResponse::npred_extended

All other models call GResponse::irf_diffuse and GResponse::npred_diffuse

To accomodate for elliptical models, a more direct mapping should be implemented:

GModelSpatialPtsrc: call GResponse::irf_ptsrc and GResponse::npred_ptsrc

GModelRadial: call GResponse::irf_radial and GResponse::npred_radial

GModelElliptical: call GResponse::irf_elliptical and GResponse::npred_elliptical

All other models call GResponse::irf_diffuse and GResponse::npred_diffuse

Since this implies an interface change, all derived response classes need also to be adapted.

History

#1 - 02/16/2013 10:22 PM - Knödlseder Jürgen

- Subject changed from Implement elliptical models in GResponse to Adapt GResponse to support elliptical models

- Description updated

#2 - 02/17/2013 09:31 AM - Knödlseder Jürgen

- Target version set to HESS sprint #1

#3 - 02/18/2013 09:41 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

Start implementation.

#4 - 02/18/2013 10:22 AM - Knödlseder Jürgen

- % Done changed from 0 to 50

The new spatial model organization is now supported. We still need to implement a default method for npred_elliptical.

#5 - 02/18/2013 10:39 AM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- % Done changed from 50 to 100

- Remaining (hours) set to 0.0

Implement GResponse::npred_elliptical, not tested.
I'm not sure if this method is really useful as no ROI handling is implemented here. Maybe all integration methods should be removed from

GResponse as they do not seem to be really useful. Alternatively, one may think about modifying the methods to take into account the ROI.

See #766.

#6 - 05/15/2013 09:27 AM - Knödlseder Jürgen

- Target version changed from HESS sprint #1 to 00-08-00

#7 - 12/03/2013 09:59 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed

- Estimated time set to 0.00

#8 - 12/10/2013 12:19 AM - Knödlseder Jürgen

- Target version deleted (00-08-00)

#9 - 07/11/2014 04:12 PM - Knödlseder Jürgen

- Target version set to 1.0.0

Powered by TCPDF (www.tcpdf.org)

05/04/2024 2/2

http://www.tcpdf.org

